Antiprism 0.23

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# dipyramid Class Reference

Make a dipyramid. More...

`#include <polygons.h>`

Inheritance diagram for dipyramid:
[legend]
Collaboration diagram for dipyramid:
[legend]

List of all members.

## Public Member Functions
| dipyramid (int N, int D=1)
| Constructor.
| dipyramid (polygon &pgon)
| Constructor.
void | make_poly_part (geom_if &geom)
| Make a part of (or a complete) polygon-based polyhedron.

## Detailed Description

Make a dipyramid.

## Constructor & Destructor Documentation

dipyramid::dipyramid | ( | int | N,
|  | int | D = `1`
| ) |  | `[inline]`

Constructor.

Base polygon in form {N/D} (with N/D not necessarily in lowest form.)

Parameters:

  N | number of sides to the (compound) polygon.
  D | the number of vertices stepped by an edge (default 1)

dipyramid::dipyramid | ( | polygon & | pgon | ) | `[inline]`

Constructor.

Parameters:

  pgon | polygon to base the polyhedron on.

## Member Function Documentation

void dipyramid::make_poly_part | ( | geom_if & | geom | ) | `[virtual]`

Make a part of (or a complete) polygon-based polyhedron.

Make a non-compound polyhedron, using `num_sides` and `step` for {n/d}. If `parts` is greater than `1` then polygon::make_poly will make a compound by repeating this polyhedron `parts` times.

Parameters:

  geom | a geometry to return the polyhedron.

Reimplemented from pyramid.

The documentation for this class was generated from the following files:

- base/polygons.h
- base/polygons.cc